package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件名: AlbumVersionVo
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("多版本详情回显")
@Data
public class AlbumVersionVo implements Serializable {

    @ApiModelProperty("版本Id")
    private String pkId;

    @ApiModelProperty("版本创建时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    @ApiModelProperty("版本状态 1-审核中 2-生效中 3-未生效")
    private Integer state;

    @ApiModelProperty("版本状态名称")
    private String stateName;
}
