package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* 业务--专辑基本信息表数据库访问层
*/
@Mapper
public interface AlbumInfoMapper extends BaseDao<AlbumInfo> {

    IPage findAllAlbumInfo(IPage<AlbumInfo> page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    /**
     * 版本收入知识量
     * @param albumId
     * @param versionId
     * @return
     */
    Integer selectCountKnowledge(@Param("albumId") String albumId, @Param("versionId") String versionId);

    /**
     * 我的专辑分页(scope = 1)(有分页)
     * @param page
     * @param params
     * @param params1
     * @return
     */
    IPage findAllAlbumInfoByOwnerIds(IPage page, @Param("params")Map<String, Object> params, @Param("w") Map<String, Object> params1);

    /**
     * 我的专辑和已发布的专辑
     * @param params
     * @param params1
     * @return
     */
    List<AlbumInfo> findAllAlbumInfoByVersionState(@Param("params")Map<String, Object> params, @Param("w") Map<String, Object> params1);

    /**
     * 删除知识专辑
     * @param ids
     */
    void deleteByIds(String ids);

    /**
     * 我创建的专辑(没有分页)
     * @param params
     * @param params1
     * @return
     */
    List<AlbumInfo> findAllAlbumInfoByOwnerIdsNoPage(@Param("params")Map<String, Object> params, @Param("w")Map<String, Object> params1);

    /**
     * 我点评的专辑(有分页)(审核中的点评和审核通过的点评)
     * @param page
     * @param params
     * @param params1
     * @return
     */
    IPage findAllAlbumInfoYelpByUserId(IPage page,@Param("params")Map<String, Object> params, @Param("w")Map<String, Object> params1);
}
